## boxes 1.0.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #   Creation:   August 14, 1999 (Saturday, 01:08h)
 #   Author:     Copyright (C) 1999 Thomas Jensen
 #               tsjensen@stud.informatik.uni-erlangen.de
-#   Version:    $Id: Makefile,v 1.4 1999/08/22 11:43:55 tsjensen Exp tsjensen $
+#   Version:    $Id: Makefile,v 1.5 2000/03/17 23:52:29 tsjensen Exp tsjensen $
 #   Format:     GNU make
 #   Web Site:   http://home.pages.de/~jensen/boxes/
 #   Platforms:  sparc/Solaris 2.6 and others
@@ -25,6 +25,11 @@
 #   Revision History:
 #
 #     $Log: Makefile,v $
+#     Revision 1.5  2000/03/17 23:52:29  tsjensen
+#     Incremented version number to 1.0.1
+#     Renamed snapshot file name to boxes-SNAP-latest
+#     Added README.Win32.txt to snapshot generation commands
+#
 #     Revision 1.4  1999/08/22 11:43:55  tsjensen
 #     Added comment to guide user to GLOBALCONF definition line
 #
@@ -47,7 +52,7 @@
 
 # The following line (GLOBALCONF) is the only line you should need to edit!
 GLOBALCONF = /usr/local/share/boxes
-BVERSION   = 1.0
+BVERSION   = 1.0.1
 
 SNAPFILE   = boxes-SNAP-$(shell date +%Y%m%d)
 WEBHOME    = $(HOME)/d/public_html/software/boxes
@@ -55,7 +60,7 @@
 
 CL_FILES   = boxes-config
 RCS_FILES  = $(CL_FILES) Makefile doc/boxes.1.in
-ALL_FILES  = COPYING README boxes-config Makefile
+ALL_FILES  = COPYING README README.Win32.txt boxes-config Makefile
 DOC_FILES  = doc/boxes.1 doc/boxes.1.in
 
 
@@ -84,8 +89,8 @@
 
 snap: locsnap
 	cp $(SNAPFILE).tar.gz $(WEBHOME)/download/
-	rm -f $(WEBHOME)/download/current-SNAP.tar.gz
-	(cd $(WEBHOME)/download; ln -s $(SNAPFILE).tar.gz current-SNAP.tar.gz)
+	rm -f $(WEBHOME)/download/boxes-SNAP-latest.tar.gz
+	(cd $(WEBHOME)/download; ln -s $(SNAPFILE).tar.gz boxes-SNAP-latest.tar.gz)
 	mv -i $(SNAPFILE).tar.gz archive/
 	chmod 444 archive/$(SNAPFILE).tar.gz
