## boxes 1.0.1a

=== src/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #   Creation:   March 18, 1999 (Thursday, 15:10h)
 #   Author:     Copyright (C) 1999 Thomas Jensen
 #               tsjensen@stud.informatik.uni-erlangen.de
-#   Version:    $Id: Makefile,v 1.15 1999/08/21 23:35:44 tsjensen Exp tsjensen $
+#   Version:    $Id: Makefile,v 1.17 2000/03/17 23:51:43 tsjensen Exp tsjensen $
 #   Format:     GNU make
 #   Web Site:   http://home.pages.de/~jensen/boxes/
 #   Platforms:  sparc/Solaris 2.6 and others
@@ -25,6 +25,13 @@
 #   Revision History:
 #
 #     $Log: Makefile,v $
+#     Revision 1.17  2000/03/17 23:51:43  tsjensen
+#     Added Makefile.Win32 and misc/* to snap generation commands
+#
+#     Revision 1.16  1999/11/08 10:55:13  tsjensen
+#     Moved config.h into ORIG_HDRCL group, so it appears in the change log Web
+#     page
+#
 #     Revision 1.15  1999/08/21 23:35:44  tsjensen
 #     boxes.h is now generated from boxes.h.in by top level Makefile
 #     Added -Wall -W to CFLAGS and removed .c.o rule
@@ -78,8 +85,8 @@
 GEN_HDR    = parser.h boxes.h
 GEN_SRC    = parser.c lex.yy.c
 GEN_FILES  = $(GEN_SRC) $(GEN_HDR)
-ORIG_HDRCL = boxes.h.in
-ORIG_HDR   = $(ORIG_HDRCL) lexer.h tools.h shape.h generate.h remove.h config.h
+ORIG_HDRCL = boxes.h.in config.h
+ORIG_HDR   = $(ORIG_HDRCL) lexer.h tools.h shape.h generate.h remove.h
 ORIG_GEN   = lexer.l parser.y
 ORIG_NORM  = boxes.c tools.c shape.c generate.c remove.c
 ORIG_SRC   = $(ORIG_GEN) $(ORIG_NORM)
@@ -124,6 +131,9 @@
 	if [ -z "$(SNAPFILE)" ] ; then exit 1 ; fi
 	mkdir $(SNAPFILE)/src
 	cp $(ALL_FILES) $(SNAPFILE)/src
+	cp Makefile.Win32 $(SNAPFILE)/src
+	mkdir $(SNAPFILE)/src/misc
+	cp misc/getopt.c misc/getopt.h $(SNAPFILE)/src/misc
 	touch $(patsubst %,$(SNAPFILE)/src/%,$(GEN_FILES))
 	$(MAKE) -C regexp SNAPFILE=../$(SNAPFILE) snap
