## boxes 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
 #
 #   File:       Makefile
 #   Creation:   August 14, 1999 (Saturday, 01:08h)
-#   Author:     Copyright (C) 1999 Thomas Jensen
-#               tsjensen@stud.informatik.uni-erlangen.de
-#   Version:    $Id: Makefile,v 1.5 2000/03/17 23:52:29 tsjensen Exp tsjensen $
+#   Author:     Copyright (C) 1999 Thomas Jensen <boxes@thomasjensen.com>
+#   Version:    $Id: Makefile,v 1.13 2012/10/19 16:46:32 tsjensen Exp $
 #   Format:     GNU make
-#   Web Site:   http://home.pages.de/~jensen/boxes/
-#   Platforms:  sparc/Solaris 2.6 and others
+#   Web Site:   http://boxes.thomasjensen.com/
+#   Platforms:  sparc/Solaris 2.6, Linux, and others
 #   Purpose:    Makefile for boxes, the box drawing program
 # 
 #   Remarks:  o This program is free software; you can redistribute it and/or
@@ -25,6 +24,36 @@
 #   Revision History:
 #
 #     $Log: Makefile,v $
+#     Revision 1.13  2012/10/19 16:46:32  tsjensen
+#     Incremented version number to 1.1.1
+#     Include boxes.1.in in the changelog
+#
+#     Revision 1.12  2006/08/04 20:44:00  tsjensen
+#     Changed the latest snap creation target to adjust to VM build environment
+#
+#     Revision 1.11  2006/07/23 16:50:09  tsjensen
+#     Updated version number to 1.1
+#     Changed default value of GLOBALCONF to comply with current Linux standards
+#
+#     Revision 1.10  2006/07/22 19:51:08  tsjensen
+#     Added boxes.h management
+#     Added rcslocks target
+#     Updated some of the administrative paths (not relevant for builders)
+#
+#     Revision 1.9  2006-07-11 23:43:00-07  tsjensen
+#     Added a missing tab character
+#
+#     Revision 1.8  2006-07-08 01:58:08-07  tsjensen
+#     Updated email and web addresses
+#
+#     Revision 1.7  2006/07/08 08:56:38  tsjensen
+#     Added reminder of compilation faq
+#     Changed BVERSION to 1.0.2
+#
+#     Revision 1.6  2000/04/01 18:29:17  tsjensen
+#     Added code to add snapshot info to version number for snapshots. This
+#     affects the author only.
+#
 #     Revision 1.5  2000/03/17 23:52:29  tsjensen
 #     Incremented version number to 1.0.1
 #     Renamed snapshot file name to boxes-SNAP-latest
@@ -51,20 +80,21 @@
 
 
 # The following line (GLOBALCONF) is the only line you should need to edit!
-GLOBALCONF = /usr/local/share/boxes
-BVERSION   = 1.0.1
+GLOBALCONF = /usr/share/boxes
+BVERSION   = 1.1.1
 
 SNAPFILE   = boxes-SNAP-$(shell date +%Y%m%d)
-WEBHOME    = $(HOME)/d/public_html/software/boxes
-CLOGFILE   = $(WEBHOME)/changelogs.html
+WEBHOME    = $(HOME)/boxes/website
+CLOGFILE   = $(WEBHOME)/changelogs.shtml
 
-CL_FILES   = boxes-config
-RCS_FILES  = $(CL_FILES) Makefile doc/boxes.1.in
+CL_FILES   = boxes-config doc/boxes.1.in
+RCS_FILES  = $(CL_FILES) Makefile doc/boxes.el doc/create_changelog.pl
 ALL_FILES  = COPYING README README.Win32.txt boxes-config Makefile
-DOC_FILES  = doc/boxes.1 doc/boxes.1.in
+DOC_FILES  = doc/boxes.1 doc/boxes.1.in doc/boxes.el
 
 
 build debug boxes: src/boxes.h doc/boxes.1
+	@echo For compilation info see the boxes website at http://boxes.thomasjensen.com/
 	$(MAKE) -C src $@
 
 
@@ -76,7 +106,7 @@
 
 
 clean:
-	rm -f doc/boxes.1
+	rm -f doc/boxes.1 src/boxes.h
 	$(MAKE) -C src clean
 
 locsnap: $(ALL_FILES) $(DOC_FILES)
@@ -84,19 +114,27 @@
 	cp $(ALL_FILES) $(SNAPFILE)
 	cp $(DOC_FILES) $(SNAPFILE)/doc
 	$(MAKE) -C src SNAPFILE=../$(SNAPFILE) snap
+	mv $(SNAPFILE)/Makefile $(SNAPFILE)/Makefile.vin
+	cat $(SNAPFILE)/Makefile.vin | perl -ne 'if (/^(BVERSION\s*=\s*)(.*)$$/) { print "BVERSION   = above $$2 (SNAP of '`date +%d-%b-%Y`')\n"; } else { print $$_; }' > $(SNAPFILE)/Makefile
+	rm -f $(SNAPFILE)/Makefile.vin
+	find $(SNAPFILE) -type f -print | xargs chmod 644
 	gtar cfvz $(SNAPFILE).tar.gz $(SNAPFILE)/*
 	rm -rf $(SNAPFILE)/
 
 snap: locsnap
-	cp $(SNAPFILE).tar.gz $(WEBHOME)/download/
-	rm -f $(WEBHOME)/download/boxes-SNAP-latest.tar.gz
-	(cd $(WEBHOME)/download; ln -s $(SNAPFILE).tar.gz boxes-SNAP-latest.tar.gz)
 	mv -i $(SNAPFILE).tar.gz archive/
 	chmod 444 archive/$(SNAPFILE).tar.gz
+	rm -f archive/boxes-SNAP-latest.tar.gz
+	(cd archive; ln -s $(SNAPFILE).tar.gz boxes-SNAP-latest.tar.gz)
 
 rcstest:
 	-for i in $(RCS_FILES) ; do rcsdiff $$i ; done
 	$(MAKE) -C src rcstest
+
+rcslocks:
+	@echo Locked files:
+	@rlog -L -R $(RCS_FILES) | sed -e 's/^/    - /'
+	@$(MAKE) -C src rcslocks
 
 logpage: $(CL_FILES)
 	cd src; ../doc/create_changelog.pl $(patsubst %,../%,$(CL_FILES)) $(shell $(MAKE) -C src -s logpage) > $(CLOGFILE)
