=== src/Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 #
 #   File:       Makefile
 #   Creation:   March 18, 1999 (Thursday, 15:10h)
-#   Author:     Copyright (C) 1999 Thomas Jensen
-#               tsjensen@stud.informatik.uni-erlangen.de
-#   Version:    $Id: Makefile,v 1.17 2000/03/17 23:51:43 tsjensen Exp tsjensen $
+#   Author:     Copyright (C) 1999 Thomas Jensen <boxes@thomasjensen.com>
+#   Version:    $Id: Makefile,v 1.19 2006/07/22 19:07:21 tsjensen Exp $
 #   Format:     GNU make
-#   Web Site:   http://home.pages.de/~jensen/boxes/
+#   Web Site:   http://boxes.thomasjensen.com/
 #   Platforms:  sparc/Solaris 2.6 and others
 #   Purpose:    Makefile for boxes, the box drawing program
 # 
@@ -25,7 +24,15 @@
 #   Revision History:
 #
 #     $Log: Makefile,v $
-#     Revision 1.17  2000/03/17 23:51:43  tsjensen
+#     Revision 1.19  2006/07/22 19:07:21  tsjensen
+#     The file boxes.h is now managed by the top level Makefile only
+#     Added rcslocks target to check lock status
+#     Small usability enhancements
+#
+#     Revision 1.18  2006/07/12 05:32:10  tsjensen
+#     Updated email and web addresses in comment header
+#
+#     Revision 1.17  2000-03-17 15:51:43-08  tsjensen
 #     Added Makefile.Win32 and misc/* to snap generation commands
 #
 #     Revision 1.16  1999/11/08 10:55:13  tsjensen
@@ -82,7 +89,7 @@
 CFLAGS     = -ansi -I. -Iregexp -Wall -W $(CFLAGS_ADDTL)
 LDFLAGS    = -Lregexp
 
-GEN_HDR    = parser.h boxes.h
+GEN_HDR    = parser.h
 GEN_SRC    = parser.c lex.yy.c
 GEN_FILES  = $(GEN_SRC) $(GEN_HDR)
 ORIG_HDRCL = boxes.h.in config.h
@@ -94,7 +101,7 @@
 OTH_FILES  = Makefile
 
 ALL_CL     = $(ORIG_SRC) $(ORIG_HDRCL) $(OTH_FILES)
-ALL_FILES  = $(ORIG_FILES) $(GEN_FILES) $(OTH_FILES)
+ALL_FILES  = $(ORIG_FILES) $(GEN_FILES) $(OTH_FILES) boxes.h
 ALL_OBJ    = $(GEN_SRC:.c=.o) $(ORIG_NORM:.c=.o)
 
 
@@ -107,6 +114,10 @@
 boxes: $(ALL_OBJ)
 	$(MAKE) -C regexp CC=$(CC) libregexp.a
 	$(CC) $(LDFLAGS) $(ALL_OBJ) -o boxes -lregexp
+
+boxes.h:
+	@echo File boxes.h not found or not current. Please run make in the parent directory.
+	@exit 1
 
 parser.c parser.h: parser.y boxes.h regexp/regexp.h
 	$(YACC) -o parser.c -d parser.y
@@ -128,7 +139,7 @@
 
 
 snap: $(ALL_FILES)
-	if [ -z "$(SNAPFILE)" ] ; then exit 1 ; fi
+	@if [ -z "$(SNAPFILE)" ] ; then echo "make snap must be run from the parent directory" ; exit 1 ; fi
 	mkdir $(SNAPFILE)/src
 	cp $(ALL_FILES) $(SNAPFILE)/src
 	cp Makefile.Win32 $(SNAPFILE)/src
@@ -140,6 +151,10 @@
 rcstest:
 	-for i in $(ORIG_FILES) $(OTH_FILES) ; do rcsdiff $$i ; done
 	$(MAKE) -C regexp rcstest
+
+rcslocks:
+	@rlog -L -R $(ORIG_FILES) $(OTH_FILES) | sed -e 's/^/    - src\//'
+	@$(MAKE) -C regexp rcslocks
 
 logpage: $(ALL_CL)
 	@echo $(ALL_CL) $(shell $(MAKE) -C regexp -s logpage)
