=== src/regexp/Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 #
 #   File:       Makefile
 #   Creation:   August 13, 1999 (Friday, 22:13h)
-#   Author:     Copyright (C) 1999 Thomas Jensen
-#               tsjensen@stud.informatik.uni-erlangen.de
-#   Version:    $Id: Makefile,v 1.1 1999/08/13 20:56:09 tsjensen Exp tsjensen $
+#   Author:     Copyright (C) 1999 Thomas Jensen <boxes@thomasjensen.com>
+#   Version:    $Id: Makefile,v 1.4 2006/07/22 19:04:30 tsjensen Exp $
 #   Format:     GNU make
-#   Web Site:   http://home.pages.de/~jensen/boxes/
+#   Web Site:   http://boxes.thomasjensen.com/
 #   Platforms:  sparc/Solaris 2.6 and others
 #   Purpose:    Makefile for boxes, the box drawing program
 #               generation of regexp handling library
@@ -26,13 +25,24 @@
 #   Revision History:
 #
 #     $Log: Makefile,v $
+#     Revision 1.4  2006/07/22 19:04:30  tsjensen
+#     Small usability enhancements
+#
+#     Revision 1.3  2006/07/12 21:28:38  tsjensen
+#     Added target rcslocks
+#
+#     Revision 1.2  2006/07/08 08:47:58  tsjensen
+#     Removed -traditional flag from CFLAGS definition
+#     Updated email and web addresses
+#
 #     Revision 1.1  1999/08/13 20:56:09  tsjensen
 #     Initial revision
+#
 #____________________________________________________________________________
 #============================================================================
 
 
-CFLAGS   = -traditional -O -I. $(CFLAGS_ADDTL)
+CFLAGS   = -O -I. $(CFLAGS_ADDTL)
 
 ALL_CL   = regexp/regexp.c regexp/regsub.c
 C_SRC    = $(notdir $(ALL_CL))
@@ -53,12 +63,15 @@
 	$(CC) $(CFLAGS) -c $<
 
 snap: $(ALLFILES)
-	if [ -z "$(SNAPFILE)" ] ; then exit 1 ; fi
+	@if [ -z "$(SNAPFILE)" ] ; then echo "make snap must be run from the main directory" ; exit 1 ; fi
 	mkdir $(SNAPFILE)/src/regexp
 	cp $(ALLFILES) $(SNAPFILE)/src/regexp
 
 rcstest:
 	-for i in $(ALLFILES) ; do rcsdiff $$i ; done
+
+rcslocks:
+	@rlog -L -R $(ALLFILES) | sed -e 's/^/    - src\/regexp\//'
 
 logpage: $(C_SRC)
 	@echo $(ALL_CL)
