=== debian/changelog ===
boxes (1.1.1-3) unstable; urgency=low

  * Upload to unstable
  * Bump copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 05 May 2013 08:07:20 +0200

boxes (1.1.1-2) experimental; urgency=low

  * Correct License for src/regexp/{regexp,regsub}.c files.
    Add missing license text for src/regexp/{regexp,regsub}.c files to
    debian/copyright and correct License field.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 18 Dec 2012 21:22:06 +0100

boxes (1.1.1-1) experimental; urgency=low

  * Imported Upstream version 1.1.1
    + Includes new type by Karl E. Jorgensen <karl@jorgensen.com>
      (Closes: #187078).
  * Refresh default-GLOBALCONF-for-Debian.patch patch
  * Drop fix-spelling-error-in-manpage.patch patch.
    Patch was applied upstream.
  * Drop fix-hyphen-used-as-minus-sign.patch patch.
    Patch was applied upstream.
  * Bump Standards-Version to 3.9.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 21 Oct 2012 18:15:44 +0200

boxes (1.1-1) experimental; urgency=low

  * Add debian/watch file to track new upstream releases
  * Imported Upstream version 1.1 (Closes: #446102)
  * New maintainer for boxes.
    Add myself to debian/control Maintainer field. (Closes: #686997)
  * Update debian/copyright file.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Add myself to copyright for debian/* packaging files.
    Refer to Debian systems in general instead of only Debian GNU/Linux
    systems.
    Explicitly refer to GPL-2 license text in common-licenses.
    Update copyright information for other included files: Add stanzas for
    doc/boxes.el, src/misc/getopt.{c,h}, src/parser.{c,h} and
    src/regexp/regexp.c.
  * Drop debian/boxes-1.0.1.patch patch
  * Convert to '3.0 (quilt)' source package format.
  * Add default-GLOBALCONF-for-Debian.patch patch.
    Change default configuration file path for Debian to
    /etc/boxes/boxes-config.
  * Add fix-FTBFS-on-GNU-kFreeBSD-GNU-Hurd.patch patch.
    Add patch to fix FTBFS on GNU/kFreeBSD and GNU/Hurd. Add the patch to
    debian/patches instead of patching directly the source now (as we
    switched to '3.0 (quilt)' source package format.
  * Simplify debian/rules to a tiny rules file.
    Install boxes binary and default configuration file via dh_install.
  * Bump Debhelper compat level to 9.
    Add a debian/compat file and bump versioned Build-Depends on debhelper
    to (>= 9).
  * Add ${misc:Depends} to Depends in debian/control
  * Add Homepage field to source package stanza in debian/control
  * Install doc/boxes.el to site-lisp for emacs
  * Add fix-spelling-error-in-manpage.patch patch.
    Add small patch to fix a spelling error in manpage of boxes.1.
  * Add fix-hyphen-used-as-minus-sign.patch patch.
    Fix lintian warning 'hyphen-used-as-minus-sign'.
  * Bump Standards-Version to 3.9.3
  * Add do-not-strip-boxes-binary-by-default.patch patch.
    Don't strip boxes binary already in Makefile and leave this to the
    dh_strip invocation in debian/rules. (Closes: #436604)
  * Lowercase capital letter at beginning of synopsis line

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 15 Sep 2012 17:24:17 +0200

boxes (1.0.1a-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Use _GNU_SOURCE on GNU/kFreeBSD and GNU/Hurd, as suggested by Petr
    Salinger, fixing FTBFS on those platforms (Closes: #401741).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 28 Aug 2009 05:07:07 +0200

boxes (1.0.1a-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Adjust location for configuration file, it should be
    /etc/boxes/boxes-config and not the directory /etc/boxes/
    itself. (Closes: #374304, #384696)

 -- Michael Prokop <mika@grml.org>  Sat, 20 Jan 2007 18:16:55 +0100

boxes (1.0.1a-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move configuration file to /etc (Closes: #374490)
  * Add boxes-config to debian/examples

 -- Julien Danjou <acid@debian.org>  Tue, 11 Jul 2006 13:56:12 +0200

boxes (1.0.1a-2) unstable; urgency=low

  * Global config is in /usr/share/boxes/. (Closes: #374304)

 -- KELEMEN Peter <fuji@debian.org>  Sun, 18 Jun 2006 17:51:27 +0200

boxes (1.0.1a-1) unstable; urgency=low

  * Pristine source.
  * Bumped Standards-Version: 3.7.2
  * Bumped DH_COMPAT=4
  * Assorted compile fixes. (Closes: #191178)
  * New URL. (Closes: #348700)

 -- KELEMEN Peter <fuji@debian.org>  Thu, 15 Jun 2006 14:40:16 +0200

boxes (1.0.1-5) unstable; urgency=low

  * Acknowledgning NMU bt Tore Anderson, thanks.
  * debian/copyright
    - Fixed URL.
    - Fixed Upstream Authors.
  * debian/control
    - Standards-Version: 3.6.1
    - Fixed Build-Depends: field.
    - Fixed Maintainer: field.
    - Fixed Description: field.

 -- KELEMEN Péter <fuji@debian.org>  Sun, 15 Aug 2004 12:36:41 +0200

boxes (1.0.1-4.1) unstable; urgency=low

  * NMU (sponsored by joeyh)
  * Build-Depend on flex-old instead of flex, closes: #191187.

 -- Tore Anderson <tore@linpro.no>  Sat, 12 Jul 2003 21:10:04 +0200

boxes (1.0.1-4) unstable; urgency=MEDIUM

  * Modernized packaging (debhelper v3).
  * (debian/control) Bumped Standards-Version: field to 3.5.6.
  * #define _GNU_SOURCE decision based on #defined __GNUC__. (Closes: #106761)
  * /usr/share/boxes/boxes: Removed bogus test designs. (Closes: #96301)

 -- KELEMEN Peter <fuji@debian.org>  Fri, 19 Apr 2002 00:18:27 +0200

boxes (1.0.1-3) unstable; urgency=low

  * Fixed Build-Depends: *again*. (Closes: #95073)

 -- KELEMEN Peter <fuji@debian.org>  Tue, 24 Apr 2001 13:27:37 +0200

boxes (1.0.1-2) unstable; urgency=low

  * Fixed Build-Depends:. (Closes: #70199)

 -- KELEMEN Peter <fuji@debian.org>  Sun, 22 Apr 2001 00:45:43 +0200

boxes (1.0.1-1) unstable; urgency=low

  * New Upstream Release.

 -- KELEMEN Peter <fuji@debian.org>  Wed, 26 Apr 2000 17:54:54 +0200

boxes (1.0-1) unstable; urgency=low

  * Initial Release.


