=== debian/watch ===
version=3
http://boxes.thomasjensen.com/download boxes-(.*)\.src\.tar\.gz
