=== debian/changelog ===
boxes (1.1.2-4) unstable; urgency=medium

  * Enable emacs autoloads for the commands in boxes.el.
    Thanks to Kevin Ryde <user42_kevin@yahoo.com.au> (Closes: #807436)
  * boxes.el: Fix invalid defvar initialization that now errors.
    Thanks to Kevin Ryde <user42_kevin@yahoo.com.au> (Closes: #807153)
  * Fix problems with boxes.el in xemacs.
    Removes the 6th arg to shell-command-on-region as it is not necessary
    and does not exist in older versions of xemacs.
    Thanks to Kevin Ryde <user42_kevin@yahoo.com.au> (Closes: #807439)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 22 Dec 2015 16:45:57 +0100

boxes (1.1.2-3) unstable; urgency=medium

  * Add 0001-Properly-quote-argument-to-echo-containing-in-Makef.patch.
    Arguments to echo were not quoted in src/Makefile causing that only a
    empty line was prepended to lex.yy.c and thus the _GNU_SOURCE marco not
    defined before using strdup.
    Fixes "warning: implicit declaration of function 'strdup'".
    Thanks to Sebastien Bacher <seb128@ubuntu.com> for the report.
    (Closes: #793390)
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 24 Jul 2015 13:13:15 +0200

boxes (1.1.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 26 Apr 2015 11:08:00 +0200

boxes (1.1.2-1) experimental; urgency=medium

  * Imported Upstream version 1.1.2
  * debian/watch: Add alternative location for watch new upstream releases.
    Development moved to github and new upstream releases will most likely
    be published there only. Add an alternative location to watch for new
    upstream releases.
  * Add basic debian/upstream/metadata information
  * Refresh default-GLOBALCONF-for-Debian.patch patch
  * Drop fix-FTBFS-on-GNU-kFreeBSD-GNU-Hurd.patch patch (adopted upstream)
  * Refresh do-not-strip-boxes-binary-by-default.patch patch
  * Drop copyright stanza for src/parser.h
  * Install README.md to /usr/share/doc/boxes
  * Install vim syntax file for boxes configuration file to examples
  * Declare compliance with Debian policy 3.9.6

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 12 Feb 2015 13:01:55 +0100

boxes (1.1.1-4) unstable; urgency=medium

  * Add Vcs-Browser and Vcs-Git fields
  * Wrap-and-sort fields in debian/control
  * Update copyright years for debian/* packaging
  * Declare compliance with Debian Policy 3.9.5

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 24 Aug 2014 09:10:10 +0200
