=== src/Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 
 
 flags_unix:
-	$(eval CFLAGS := -ansi -I. -Iregexp -Wall -W $(CFLAGS_ADDTL))
+	$(eval CFLAGS := -I. -Iregexp -Wall -W $(CFLAGS_ADDTL))
 	$(eval LDFLAGS := -Lregexp $(LDFLAGS_ADDTL))
 	$(eval BOXES_EXECUTABLE_NAME := boxes)
 	$(eval ALL_OBJ := $(GEN_SRC:.c=.o) $(ORIG_NORM:.c=.o))
@@ -82,7 +82,7 @@
 
 lex.yy.c: lexer.l boxes.h
 	$(LEX) -t lexer.l > lexer.tmp.c
-	echo #include "config.h" > lex.yy.c
+	echo '#include "config.h"' > lex.yy.c
 	cat lexer.tmp.c >> lex.yy.c
 	rm lexer.tmp.c
