=== debian/changelog ===
boxes (1.2-3) unstable; urgency=medium

  * Update Vcs-* fields for switch to salsa.debian.org
  * Bump Debhelper compat level to 11
  * Use HTTPS transport protocol for Homepage URL
  * debian/copyright: Use HTTPS transport protocol for Source URL
  * Use HTTPS transport protocol in debian/watch URL
  * debian/patches/*: Use HTTPS transport protocol for Bug-Debian URLs
  * Update copyright years for debian/* packaging files
  * Set Rules-Requires-Root to no
  * Add spelling-error-in-manpage.patch patch
  * Declare compliance with Debian policy 4.1.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 11 Mar 2018 11:21:59 +0100

boxes (1.2-2) unstable; urgency=medium

  * Upload to unstable
  * Use HTTP transport protocol for specification URL of copyright format
  * Declare compliance with Debian policy 4.0.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 21 Jun 2017 10:50:44 +0200

boxes (1.2-1) experimental; urgency=medium

  * New upstream version 1.2
  * Refresh default-GLOBALCONF-for-Debian.patch patch
  * Drop patches applied upstream
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 24 Apr 2017 16:07:36 +0200

boxes (1.1.2-5) unstable; urgency=medium

  * debian/control: Use HTTPS transport protocol for Vcs-Git URI
  * Add basic autopkgtests running upstream testsuite against
    installed binary
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 3.9.8

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 08 Apr 2016 14:47:50 +0200
