=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: bison, debhelper (>= 9), flex
-Vcs-Browser: https://anonscm.debian.org/cgit/users/carnil/boxes.git
-Vcs-Git: git://anonscm.debian.org/users/carnil/boxes.git
-Homepage: http://boxes.thomasjensen.com/
+Standards-Version: 4.1.3
+Build-Depends: bison, debhelper (>= 11), flex
+Vcs-Browser: https://salsa.debian.org/carnil/boxes
+Vcs-Git: https://salsa.debian.org/carnil/boxes.git
+Homepage: https://boxes.thomasjensen.com/
+Rules-Requires-Root: no
 
 Package: boxes
 Architecture: any
